// ZLG600DLL_TESTDlg.h : header file
//

#if !defined(AFX_ZLG600DLL_TESTDLG_H__03957ED5_2ABD_4D41_8722_3F36D0E3B42E__INCLUDED_)
#define AFX_ZLG600DLL_TESTDLG_H__03957ED5_2ABD_4D41_8722_3F36D0E3B42E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "HexEdit.h"
/////////////////////////////////////////////////////////////////////////////
// CZLG600DLL_TESTDlg dialog

class CZLG600DLL_TESTDlg : public CDialog
{
// Construction
public:
	CZLG600DLL_TESTDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CZLG600DLL_TESTDlg)
	enum { IDD = IDD_ZLG600DLL_TEST_DIALOG };
	CComboBox	m_CNowAddr;
	CComboBox	m_NewADDR;
	CComboBox	m_cMode;
	CHexEdit	m_NowAddr;
	CComboBox	m_NowFormat;
	CHexEdit	m_Addr;
	CComboBox	m_Format;
	CComboBox	m_UARTBDR;
	CComboBox	m_uartBdr;
	CComboBox	m_uartNum;
	HANDLE hCtrl;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CZLG600DLL_TESTDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CZLG600DLL_TESTDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBUTTON1Open();
	afx_msg void OnBUTTON2Close();
	afx_msg void OnBUTTONSetBDR();
	afx_msg void OnSelchangeCOMBOFormat();
	afx_msg void OnChangeEDITAddr();
	afx_msg void OnSelchangeCOMBONowFormat();
	afx_msg void OnChangeEDITNowAddr();
	afx_msg void OnSelendcancelCOMBONowFormat();
	afx_msg void OnEditchangeCOMBONowAddr();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ZLG600DLL_TESTDLG_H__03957ED5_2ABD_4D41_8722_3F36D0E3B42E__INCLUDED_)
